package com.engine.kq.bean;

import java.util.Calendar;
import weaver.common.DateUtil;
import weaver.common.StringUtil;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;

public class KQHrmScheduleSign extends BaseBean {
	private String id;
	private String userid;
	private String usertype;
	private String signtype;
	private String signdate;
	private String signtime;
	private String clientaddress;
	private String signfrom;
	private String longitude;
	private String latitude;
	private String addr;
	private String isincom;
	private String isimport;
	private String uuid;
	private String suuid;
	private String importsql;
  /**
   * 针对跨天的数据设置的所属日期
   */
  private String belongdate;
  /**
   * 这条考勤签到签退数据对应的班次id，历史班次数据的处理
   */
  private String serialid;
  /**
   * 获取工作时段
   * 这样写 上班-下班;上班-下班
   */
  private String worksections;

  /**
   * 粗布的记录考勤状态 迟到、早退
   */
  private String signstatus;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getUserid() {
    return userid;
  }

  public void setUserid(String userid) {
    this.userid = userid;
  }

  public String getUsertype() {
    return usertype;
  }

  public void setUsertype(String usertype) {
    this.usertype = usertype;
  }

  public String getSigntype() {
    return signtype;
  }

  public void setSigntype(String signtype) {
    this.signtype = signtype;
  }

  public String getSigndate() {
    return signdate;
  }

  public void setSigndate(String signdate) {
    this.signdate = signdate;
  }

  public String getSigntime() {
    return signtime;
  }

  public void setSigntime(String signtime) {
    this.signtime = signtime;
  }

  public String getClientaddress() {
    return clientaddress;
  }

  public void setClientaddress(String clientaddress) {
    this.clientaddress = clientaddress;
  }

  public String getSignfrom() {
    return signfrom;
  }

  public void setSignfrom(String signfrom) {
    this.signfrom = signfrom;
  }

  public String getLongitude() {
    return longitude;
  }

  public void setLongitude(String longitude) {
    this.longitude = longitude;
  }

  public String getLatitude() {
    return latitude;
  }

  public void setLatitude(String latitude) {
    this.latitude = latitude;
  }

  public String getAddr() {
    return addr;
  }

  public void setAddr(String addr) {
    this.addr = addr;
  }

  public String getIsincom() {
    return isincom;
  }

  public void setIsincom(String isincom) {
    this.isincom = isincom;
  }

  public String getIsimport() {
    return isimport;
  }

  public void setIsimport(String isimport) {
    this.isimport = isimport;
  }

  public String getUuid() {
    return uuid;
  }

  public void setUuid(String uuid) {
    this.uuid = uuid;
  }

  public String getSuuid() {
    return suuid;
  }

  public void setSuuid(String suuid) {
    this.suuid = suuid;
  }

  public String getImportsql() {
    return importsql;
  }

  public void setImportsql(String importsql) {
    this.importsql = importsql;
  }

  public String getBelongdate() {
    return belongdate;
  }

  public void setBelongdate(String belongdate) {
    this.belongdate = belongdate;
  }

  public String getSerialid() {
    return serialid;
  }

  public void setSerialid(String serialid) {
    this.serialid = serialid;
  }

  public String getWorksections() {
    return worksections;
  }

  public void setWorksections(String worksections) {
    this.worksections = worksections;
  }

  public String getSignstatus() {
    return signstatus;
  }

  public void setSignstatus(String signstatus) {
    this.signstatus = signstatus;
  }
}
